## ros-noetic-rosserial-tivac 0.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)
project(rosserial_tivac)

find_package(catkin REQUIRED)

catkin_package(
  CFG_EXTRAS ${PROJECT_NAME}-extras.cmake
)

install(
  DIRECTORY
    src/ros_lib
    src/ros_lib_energia
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/src
)

install(
  DIRECTORY tivac-cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  PROGRAMS
    src/${PROJECT_NAME}/make_libraries_energia
    src/${PROJECT_NAME}/make_libraries_tiva
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rosserial-tivac (0.9.2-1buster) buster; urgency=high



 -- Vitor Matos <vmatos@robosavvy.com>  Fri, 02 Apr 2021 00:00:00 -0000

ros-noetic-rosserial-tivac (0.9.1-1buster) buster; urgency=high



 -- Vitor Matos <vmatos@robosavvy.com>  Wed, 09 Sep 2020 00:00:00 -0000

ros-noetic-rosserial-tivac (0.9.0-1buster) buster; urgency=high

  * Use os.path.join for path concatenation (#495 <https://github.com/ros-drivers/rosserial/issues/495>)
  * Fix Travis for Noetic + Python 3
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Contributors: Hermann von Kleist, Mike Purvis

 -- Vitor Matos <vmatos@robosavvy.com>  Tue, 25 Aug 2020 00:00:00 -0000

ros-noetic-rosserial-tivac (0.8.0-1buster) buster; urgency=high



 -- Vitor Matos <vmatos@robosavvy.com>  Thu, 11 Oct 2018 00:00:00 -0000

ros-noetic-rosserial-tivac (0.7.7-1buster) buster; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * Contributors: Bei Chen Liu

 -- Vitor Matos <vmatos@robosavvy.com>  Wed, 29 Nov 2017 00:00:00 -0000

ros-noetic-rosserial-tivac (0.7.6-1buster) buster; urgency=high

  * Allows to specify chip's silicon revision for TivaWare. (#268 <https://github.com/ros-drivers/rosserial/issues/268>)
  * Updating rosserial_tivac for new TivaWare compilation flags (#260 <https://github.com/ros-drivers/rosserial/issues/260>)
  * Contributors: Vitor Matos

 -- Vitor Matos <vmatos@robosavvy.com>  Wed, 01 Mar 2017 00:00:00 -0000

ros-noetic-rosserial-tivac (0.7.5-1buster) buster; urgency=high



 -- Vitor Matos <vmatos@robosavvy.com>  Tue, 22 Nov 2016 00:00:00 -0000

ros-noetic-rosserial-tivac (0.7.4-1buster) buster; urgency=high



 -- Vitor Matos <vmatos@robosavvy.com>  Wed, 21 Sep 2016 00:00:00 -0000

ros-noetic-rosserial-tivac (0.7.3-1buster) buster; urgency=high



 -- Vitor Matos <vmatos@robosavvy.com>  Fri, 05 Aug 2016 00:00:00 -0000

ros-noetic-rosserial-tivac (0.7.2-1buster) buster; urgency=high

  * rosserial package for TivaC Launchpad boards.
  * Contributors: Vitor Matos

 -- Vitor Matos <vmatos@robosavvy.com>  Fri, 15 Jul 2016 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rosserial-tivac
Section: misc
Priority: optional
Maintainer: Vitor Matos <vmatos@robosavvy.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/rosserial_tivac
Standards-Version: 3.9.2

Package: ros-noetic-rosserial-tivac
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rosserial-client, ros-noetic-rosserial-msgs
Description: rosserial for TivaC Launchpad evaluation boards.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rosserial-tivac//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
